<?php

namespace Drupal\external_link_translation\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraints\Url;

/**
 * Validates that a value is a valid URL string.
 *
 * @Constraint(
 *   id = "Url",
 *   label = @Translation("Url", context = "Validation")
 * )
 */
class UrlConstraint extends Url {

  /**
   * Error message for constraint.
   *
   * @var string
   */
  public $message = 'Invalid URL. Please check for any typos or missing parts and try again.';

  /**
   * {@inheritdoc}
   */
  public function validatedBy(): string {
    return '\Symfony\Component\Validator\Constraints\UrlValidator';
  }

}
